On Issue#show page, clicking on “Add related issue” should focus on the input
Status: Closed Start date: 2010-01-26

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 100%

Category: UI Estimated time: 0.20 hour

Target version: 1.0.1   

Description

See attached screenshot. When adding related issues, it would be nice if clicking on “Add” could focus on the text input that appears.

It requires one extra click at the moment.

See also attached patch fixing this issue.

Associated revisions

Revision 3915 - 2010-08-04 22:52 - Jean-Baptiste Barth

Focus on the input when adding a related issue on issues/show page. #4656

Contributed by Edouard Briere

History

#1 - 2010-01-26 15:42 - Kirill Ponomarev

Excellent idea. I'm tired of clicking the mouse, when bound with many issues. Thanks for the patch.

#2 - 2010-06-08 11:59 - Daniel N

Excellent little improvement. Patched it in my redmine - my users love it.

#3 - 2010-08-04 23:19 - Jean-Baptiste Barth

- Status changed from New to Closed

- Assignee set to Jean-Baptiste Barth

- Target version set to 1.0.1

- % Done changed from 0 to 100

Applied in r3915, thanks.

#4 - 2010-08-04 23:22 - Jean-Baptiste Barth

- Status changed from Closed to Reopened

#5 - 2010-08-04 23:23 - Jean-Baptiste Barth

- Status changed from Reopened to Resolved

Sorry I should have left this as "Resolved" until it's merged in stable branch.

#6 - 2010-08-19 06:35 - Eric Davis

- Status changed from Resolved to Closed

Merged to 1.0-stable for release in 1.0.1.
